Bug 179169 - [PATCH] graphics/mapnik: a few small fixes
Summary: [PATCH] graphics/mapnik: a few small fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-01 13:50 UTC by Guido Falsi
Modified: 2013-06-03 21:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.26 KB, patch)
2013-06-01 13:50 UTC, Guido Falsi
no flags Details | Diff
patch1.txt (718 bytes, text/plain; charset=UTF-8)
2013-06-02 19:44 UTC, littlesavage
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2013-06-01 13:50:00 UTC
Hi!

I have made a few minor fixe to your port:

- I have removed some double dependencies from BUILD_DEPENDS, leaving
  them only in LIB_DEPENDS
- Addes USES in place of USE_GNOME for pkgconfig
- Chaned tab to space in pkg-descr

There was also an extra "\" in BUILD_DEPENDS.

I bumped PORTREVISION due to the *_DEPENDS changes.

Can you approve these changes?

Thanks!
Comment 1 Edwin Groothuis freebsd_committer 2013-06-01 13:50:07 UTC
Maintainer of graphics/mapnik,

Please note that PR ports/179169 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179169

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-06-01 13:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Guido Falsi freebsd_committer 2013-06-01 14:11:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 4 littlesavage 2013-06-02 19:44:25 UTC
Hi,

Approved.

In addition, I would like to add one more path that fixes rarely arising 
fail when build on multiple cpus (/usr/bin/ld: cannot find -lmapnik error)
Comment 5 Guido Falsi freebsd_committer 2013-06-03 09:41:44 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 dfilter service freebsd_committer 2013-06-03 21:39:53 UTC
Author: madpilot
Date: Mon Jun  3 20:39:41 2013
New Revision: 319806
URL: http://svnweb.freebsd.org/changeset/ports/319806

Log:
  - Remove double dependencies [1]
  - Adopt USES [1]
  - Change tab to space for WWW line in pkg-descr [1]
  - Add patch to fix a rare build failure when using parallel make jobs
  
  PR:		ports/179169 [1]
  Submitted by:	myself
  Approved by:	Aleksey Illarionov <littlesavage@rambler.ru> (maintainer)

Added:
  head/graphics/mapnik/files/patch-plugins-input-python-build.py   (contents, props changed)
Modified:
  head/graphics/mapnik/Makefile
  head/graphics/mapnik/pkg-descr   (contents, props changed)

Modified: head/graphics/mapnik/Makefile
==============================================================================
--- head/graphics/mapnik/Makefile	Mon Jun  3 20:14:07 2013	(r319805)
+++ head/graphics/mapnik/Makefile	Mon Jun  3 20:39:41 2013	(r319806)
@@ -3,8 +3,8 @@
 
 PORTNAME=	mapnik
 PORTVERSION=	2.1.0
-PORTREVISION=	2
 DISTVERSIONPREFIX=	v
+PORTREVISION=	3
 CATEGORIES=	graphics geography
 MASTER_SITES=	http://cloud.github.com/downloads/${PORTNAME}/${PORTNAME}/
 
@@ -22,16 +22,15 @@ LIB_DEPENDS=	proj:${PORTSDIR}/graphics/p
 		boost_system:${PORTSDIR}/devel/boost-libs \
 		boost_python:${PORTSDIR}/devel/boost-python-libs
 BUILD_DEPENDS=	${LOCALBASE}/bin/freetype-config:${PORTSDIR}/print/freetype2 \
-		icu>=4.2:${PORTSDIR}/devel/icu \
-		${PYTHON_PKGNAMEPREFIX}icu>=0.8.1:${PORTSDIR}/devel/py-icu \
-		boost-libs>=1.47:${PORTSDIR}/devel/boost-libs \
+		${PYTHON_PKGNAMEPREFIX}icu>=0.8.1:${PORTSDIR}/devel/py-icu
 
 USE_BZIP2=	yes
 USE_PYTHON=	2.6+
 USE_LDCONFIG=	yes
 USE_SCONS=	yes
 USE_AUTOTOOLS=	libltdl
-USE_GNOME=	pkgconfig libxml2
+USES=		pkgconfig
+USE_GNOME=	libxml2
 MAKE_JOBS_SAFE=	yes
 WARNING_CXXFLAGS?=	-w
 

Added: head/graphics/mapnik/files/patch-plugins-input-python-build.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/mapnik/files/patch-plugins-input-python-build.py	Mon Jun  3 20:39:41 2013	(r319806)
@@ -0,0 +1,12 @@
+--- plugins/input/python/build.py.orig 2013-06-02 20:28:29.000000000 +0400
++++ plugins/input/python/build.py 2013-06-02 20:29:34.000000000 +0400
+@@ -68,6 +68,9 @@
+ LINKFLAGS=linkflags
+ )
+
++# if the plugin links to libmapnik ensure it is built first
++Depends(TARGET, env.subst('../../../src/%s' % env['MAPNIK_LIB_NAME']))
++
+ # if 'uninstall' is not passed on the command line
+ # then we actually create the install targets that
+ # scons will install if 'install' is passed as an arg

Modified: head/graphics/mapnik/pkg-descr
==============================================================================
--- head/graphics/mapnik/pkg-descr	Mon Jun  3 20:14:07 2013	(r319805)
+++ head/graphics/mapnik/pkg-descr	Mon Jun  3 20:39:41 2013	(r319806)
@@ -12,4 +12,4 @@ access, regular expressions, parsing and
 the wheel, but utilizes best of breed industry standard libraries from
 boost.org.
 
-WWW:	http://www.mapnik.org/
+WWW: http://www.mapnik.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Guido Falsi freebsd_committer 2013-06-03 21:39:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!